当前位置:论坛首页 > Linux面板 > Linux面板教程

出错了,面板运行时发生错误!9月1面板出现问题解决方案

置顶 精华 发表在 Linux面板2021-9-1 15:52 [复制链接] 103 8597

发表于 2021-9-23 16:15:05 | 显示全部楼层
我也出现这样的问题,解决不了
使用道具 举报 回复 支持 反对
发表于 2021-9-23 16:18:47 | 显示全部楼层
宝塔用户_fbwyqz 发表于 2021-9-23 16:15
我也出现这样的问题,解决不了

把图贴上来
使用道具 举报 回复 支持 反对
发表于 2021-9-23 16:21:45 | 显示全部楼层
本帖最后由 宝塔用户_fbwyqz 于 2021-9-23 16:31 编辑

  您给看下
使用道具 举报 回复 支持 反对
发表于 2021-9-23 16:39:57 | 显示全部楼层

您发下截图,我这里看不到您的问题
使用道具 举报 回复 支持 反对
发表于 2021-9-24 16:23:47 | 显示全部楼层
  1. [root@xm_lt ~]# pip install --upgrade pip
  2. DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
  3. ERROR: Exception:
  4. Traceback (most recent call last):
  5.   File "/usr/lib/python2.7/site-packages/pip/_internal/cli/base_command.py", line 188, in main
  6.     status = self.run(options, args)
  7.   File "/usr/lib/python2.7/site-packages/pip/_internal/commands/install.py", line 295, in run
  8.     wheel_cache = WheelCache(options.cache_dir, options.format_control)
  9.   File "/usr/lib/python2.7/site-packages/pip/_internal/cache.py", line 204, in __init__
  10.     self._ephem_cache = EphemWheelCache(format_control)
  11.   File "/usr/lib/python2.7/site-packages/pip/_internal/cache.py", line 180, in __init__
  12.     self._temp_dir.create()
  13.   File "/usr/lib/python2.7/site-packages/pip/_internal/utils/temp_dir.py", line 75, in create
  14.     tempfile.mkdtemp(prefix="pip-{}-".format(self.kind))
  15.   File "/usr/lib64/python2.7/tempfile.py", line 321, in mkdtemp
  16.     dir = gettempdir()
  17.   File "/usr/lib64/python2.7/tempfile.py", line 265, in gettempdir
  18.     tempdir = _get_default_tempdir()
  19.   File "/usr/lib64/python2.7/tempfile.py", line 212, in _get_default_tempdir
  20.     ("No usable temporary directory found in %s" % dirlist))
  21. IOError: [Errno 2] No usable temporary directory found in ['/tmp', '/var/tmp', '/usr/tmp', '/root']
  22. WARNING: You are using pip version 19.2.1, however version 20.3.4 is available.
  23. You should consider upgrading via the 'pip install --upgrade pip' command.
复制代码
使用道具 举报 回复 支持 反对
发表于 2021-9-24 16:24:55 | 显示全部楼层

各种方法都试了修复不了...面板登入不进去
使用道具 举报 回复 支持 反对
发表于 2021-9-26 11:53:35 | 显示全部楼层
大炮运维V587 发表于 2021-9-23 10:25
修复不了报什么信息?截图看下您的操作后的信息

rm -rf /www/server/panel/pyenv
curl http://download.bt.cn/install/update_panel.sh|bash

后恢复正常
使用道具 举报 回复 支持 反对
发表于 2021-9-26 14:38:55 | 显示全部楼层
qitaowanglu 发表于 2021-9-26 11:53
rm -rf /www/server/panel/pyenv
curl http://download.bt.cn/install/update_panel.sh|bash


使用道具 举报 回复 支持 反对
发表于 2021-9-28 20:21:43 | 显示全部楼层
我出现无法访问界面,直接无法连接,解决修复都试过了.升级的7.0
使用道具 举报 回复 支持 反对
发表于 2021-9-28 20:33:08 | 显示全部楼层
杜澔沐 发表于 2021-9-28 20:21
我出现无法访问界面,直接无法连接,解决修复都试过了.升级的7.0

您是从哪个版本升级的?服务器能登录吗?
使用道具 举报 回复 支持 反对
发表于 2021-9-28 20:34:17 | 显示全部楼层
大炮运维V587 发表于 2021-9-28 20:33
您是从哪个版本升级的?服务器能登录吗?

能登陆,忘记具体版本了
使用道具 举报 回复 支持 反对
发表于 2021-9-28 20:35:21 | 显示全部楼层
大炮运维V587 发表于 2021-9-28 20:33
您是从哪个版本升级的?服务器能登录吗?

我有发帖,并且里面有详细截图
使用道具 举报 回复 支持 反对
发表于 2021-9-28 20:36:42 | 显示全部楼层
更新后出现这个问题咋解决啊?
使用道具 举报 回复 支持 反对
发表于 2021-9-28 21:02:22 | 显示全部楼层
小泉 发表于 2021-9-28 20:36
更新后出现这个问题咋解决啊?

您好,看不到您的截图
使用道具 举报 回复 支持 反对
发表于 2021-9-29 12:18:47 | 显示全部楼层

QQ截图20210929121625.png
window的宝塔升级到7.3.0,.计划任务一片空白了
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表